XPath.Axis (Xerces2 Implementation)
Keywords: org.apache.xerces.impl.xpath.XPath.Axis class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xpath
Class XPath.Axis

    java.lang.Object
      org.apache.xerces.impl.xpath.XPath.Axis

All Implemented Interfaces:
  java.lang.Cloneable

Enclosing class:
  XPath

    public static class XPath.Axis

extends java.lang.Object
implements java.lang.Cloneable

Axis.

Author:
  Andy Clark, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary
`static short` | `ATTRIBUTE` Type: attribute.
`static short` | `CHILD` Type: child.
`static short` | `DESCENDANT` Type: descendant.
`static short` | `SELF` Type: self.
`short` | `type` Axis type.

Constructor Summary
`` | `XPath.Axis(short type)` Constructs an axis with the specified type.
`protected` | `XPath.Axis(XPath.Axis axis)` Copy constructor.

Method Summary
`java.lang.Object` | `clone()` Returns a clone of this object.
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CHILD

    public static final short CHILD

  Type: child.

  See Also:
    Constant Field Values

### ATTRIBUTE

    public static final short ATTRIBUTE

  Type: attribute.

  See Also:
    Constant Field Values

### SELF

    public static final short SELF

  Type: self.

  See Also:
    Constant Field Values

### DESCENDANT

    public static final short DESCENDANT

  Type: descendant.

  See Also:
    Constant Field Values

### type

    public final short type

  Axis type.

Constructor Detail

### XPath.Axis

    public XPath.Axis(short type)

  Constructs an axis with the specified type.

### XPath.Axis

    protected XPath.Axis(XPath.Axis axis)

  Copy constructor.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`

### clone

    public java.lang.Object clone()

  Returns a clone of this object.

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.